<?php

   $sendto = "bilgi@mikrosistem.com";

   $ccto = "";


$setokurls = "1";

$okurls = "http://www.mikrosistem.com,http://www.mikrosistem.com,84.51.36.146";

$footer = "<br><br><br><br><br><center><font face=\"Arial\">
<a href=\%22http:/www.noviceform.com/\%22 target=\"_blank\"><font color=\"#ff0000\">Form processing script provided by Novice Form</font></a> </center></font>";

$backbutton = "<br><br><b>Hit your browsers back button and resubmit the form.</b>";



if ($HTTP_GET_VARS || ! $HTTP_POST_VARS || $_GET || ! $_POST) {
include("nverror.php");
no_pst();

}else{


	if (! $_POST) {
	$_POST = "$HTTP_POST_VARS";
	}

	if (! $_SERVER) {
	$_SERVER = "$HTTP_SERVER_VARS";
	}


$year = date("Y");
$month = date("m");
$day = date("d");
$hour = date("h");
$min = date("i");
$tod = date("a");


$ip=$_SERVER["REMOTE_ADDR"];

$SEND_prnt = "Bu form " . $_POST{"email"} . " tarafından $ip numaralı IP adresi ile gonderilmistir. Tarih: $monthnameactual $month/$day/$year Saat: $hour:$min $tod \n";
$SEND_prnt .= "-------------------------------------------------------------------------\n\n";


/* CHECK TO SEE IF $_POST{"required"} IS SET */
if ($_POST{"required"}){


  $post_required = $_POST{"required"};
  $required = split(",", $post_required);
  $reqnum = count($required);

	for ($req=0; $req < $reqnum; $req++) {

	$REQ_name = $required[$req];
	$REQ_value = $POST{"$REQ_name"};


  if ($REQ_name == "email") {
     $goodem = ereg("^[^@ ]+@[^@ ]+\.[^@ \.]+$", $_POST{"email"}, $trashed);

        if (! $goodem) {
	include("nverror.php");
	msng_email();
        }  /* end ! $goodem */

  }
  elseif (! $_POST{"$REQ_name"}) {
 		 $isreqe = "1";
 		 $REQ_error .= "<li> $REQ_name ";
  		 } /* end ! req val */

          } /* end REQ for loop  */


                /* IF THERE ARE ANY REQUIRED FIELDS NOT FILLED IN */

		if ($isreqe == "1") {
		include("nverror.php");
		msng_required();
		}


} /* END CHECK TO SEE IF $_POST{"required"} IS SET */


/* END IF THERE ARE ANY REQUIRED FIELDS NOT FILLED IN */


/* GET POSTED VARIABLES */


foreach ($_POST as $NVPOST_name => $NVPOST_value) {

            /* GET LEADS EMAIL */

            $email_lower = strtolower($NVPOST_name);
        
            if ($email_lower == "email") {
            $SEND_email = "$NVPOST_value";
            }

            /* END GET LEADS EMAIL */
 
   if (! $_POST{"sort"}) {


                            /* CHECK TO SEE IF CONFIG FIELD */
                            if ($NVPOST_name == "subject" || $NVPOST_name == "sort" || $NVPOST_name == "required" || $NVPOST_name == "success_page"){}else{
                            $SEND_prnt .= "$NVPOST_name: $NVPOST_value \n";
                            }
   } /* end ! sort */
  

} /* end foreach */


  /* END GET POSTED VARIABLES */




  if ($_POST{"sort"}) {

  /* SORT VARIABLES */

	$sortvars = split(",", $_POST{"sort"});
	$sortnum = count($sortvars);

               for ($num=0; $num < $sortnum; $num++) {
	       $SEND_prnt .= "$sortvars[$num]: " . $_POST{"$sortvars[$num]"} . " \n";
	       }

  }   /* END SORT VARIABLES */




/* send mail */


if (! $ccto) {
$header = "From: $SEND_email\r\nReply-to: $SEND_email";
}else{
$header = "From: $SEND_email\r\nReply-to: $SEND_email\r\nCc: $ccto";
}


mail($sendto, $_POST{"subject"}, $SEND_prnt, $header);

/* END sendmail */

     /* CHECK TO SEE IF FORM SPECIFYS A SUCCESS PAGE */
     if (! $_POST{"success_page"}) {

include("nverror.php");
default_success();

     }else{
     $successpage=$_POST{"success_page"};
     header("Location: $successpage");  /* redirect */  
     exit;
     }



} /* END IF POSTED */


?>